/*
 * clock.c
 *
 *  Created on: 15/01/2016
 *      Author: eduardo
 */

#include "msp430.h"
#include "clock.h"

void CLOCK_Default_Init(void)
{
	PJSEL0 = BIT4 | BIT5;                   // For LFXT

	// Configure LFXT 32kHz crystal
	CSCTL0_H = CSKEY >> 8;                  // Unlock CS registers
	CSCTL4 &= ~LFXTOFF;                     // Enable LFXT
	do
	{
		CSCTL5 &= ~LFXTOFFG;                  // Clear LFXT fault flag
		SFRIFG1 &= ~OFIFG;
	}while (SFRIFG1 & OFIFG);               // Test oscillator fault flag
	CSCTL0_H = 0;                           // Lock CS registers
}
